Bug 736715 - Incorrect behaviour with absolute paths using scp://
Summary: Incorrect behaviour with absolute paths using scp://
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 13:44 UTC by Peter K
Modified: 2012-01-11 08:01 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-01-11 06:07:27 UTC


Attachments (Terms of Use)

Description Peter K 2011-09-08 13:44:04 UTC
Description of problem:

When looking for existing backups on the remote side the 0.6.14 update fails if the given path is absolute like:
 duplicity /dir/to/backup scp://host//absolute/target/path
In the above example duplicity will look in $HOME/absolute/target/path (and find no existing backup causing a fallback to full backup).

A work-around may be to tell duplicity to do the following instead:
 duplicity /dir/to/backup scp://host/relative/target/path

Version-Release number of selected component (if applicable):
0.6.14-1.fc14.x86_64 (current updates, bad)
0.6.09-1.fc14.1.x86_64 (original f14, good)
0.6.14-upstream (bad)
0.6.15-upstream (good)

How reproducible:
100%

Steps to Reproduce:
1. install 0.6.14-1.fc14.x86_64
2. duplicity /dir/to/backup scp://host//absolute/target/path
3. run again duplicity /dir/to/backup scp://host//absolute/target/path

Actual results:
In point 3 above duplicity will (incorrectly) create the directory $HOME/absolute/target/path, fail to find the full backup from step 2 and do yet another full backup.

Expected results:
The run in step 3 should find the full backup from step 2 and do an incremental.

Additional info:
Likely a simple regression in 0.6.14 upstream, however, nothing relevant was found by me in the release notes nor in upstream bug tracker.

Simplest solution seems to be to build and ship 0.6.15 as an update

Comment 1 Juha Heljoranta 2011-09-09 09:11:02 UTC
up stream bug report:
https://bugs.launchpad.net/duplicity/+bug/823556

this bug also affects f15.

Comment 2 Peter K 2011-09-09 10:47:21 UTC
(In reply to comment #1)
> up stream bug report:
> https://bugs.launchpad.net/duplicity/+bug/823556

Thanks, I don't know how I missed that when I looked through it.

> this bug also affects f15.

Based on info from koji this package was built for

f14 f15 f16 el4 el5 and el6

Can you have multiple versions of a product or how should a bz like this be tagged?

I guess a separate ticket should be created for EL which is a different product?

Comment 3 Peter K 2011-09-09 10:49:59 UTC
(In reply to comment #2)

> Based on info from koji this package was built for
> 
> f14 f15 f16 el4 el5 and el6
...
> I guess a separate ticket should be created for EL which is a different
> product?

Clarification, not EL but EPEL.

Comment 4 Robert Scheck 2011-09-09 12:13:27 UTC
This single bug report fits for me for all branches. Once the issues is fixed
upstream, I'll put the patch into all active Fedora and EPEL branches.

Comment 5 Peter K 2011-09-09 12:33:34 UTC
(In reply to comment #4)
> This single bug report fits for me for all branches. Once the issues is fixed
> upstream, I'll put the patch into all active Fedora and EPEL branches.

It is fixed upstream in 0.6.15 released about two weeks ago, from the bug:
 Kenneth Loafman (kenneth-loafman) on 2011-08-19
 Changed in duplicity: status:	 Fix Committed → Fix Released

Comment 6 Peter Meier 2011-09-15 11:30:34 UTC
Update to 0.6.15 can be found @ http://git.immerda.ch/?p=duritong/srpm/duplicity.git;a=commit;h=ece861cfa90e770005b515197d79e8699bebb254

git://git.immerda.ch/duritong/srpm/duplicity.git

Comment 7 Peter Meier 2011-09-15 11:59:01 UTC
Actually it needs an addition if/else patch. Will publish that soon.

Comment 8 Peter Meier 2011-09-15 13:02:28 UTC
This is the correct commit to merge, that also contains the additional if/else patch.

http://git.immerda.ch/?p=duritong/srpm/duplicity.git;a=commit;h=72d4890956ff9ddfefa64e0254eca04d913d9e28

Comment 9 Fedora Update System 2011-12-26 16:03:47 UTC
duplicity-0.6.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.fc16

Comment 10 Fedora Update System 2011-12-26 16:04:31 UTC
duplicity-0.6.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.fc15

Comment 11 Fedora Update System 2011-12-26 16:05:25 UTC
duplicity-0.6.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.el6

Comment 12 Fedora Update System 2011-12-26 16:06:32 UTC
duplicity-0.6.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.el5

Comment 13 Fedora Update System 2011-12-26 16:51:42 UTC
Package duplicity-0.6.17-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing duplicity-0.6.17-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5334/duplicity-0.6.17-1.el6
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2012-01-11 06:07:27 UTC
duplicity-0.6.17-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-01-11 06:16:09 UTC
duplicity-0.6.17-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-01-11 07:58:45 UTC
duplicity-0.6.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-01-11 08:01:22 UTC
duplicity-0.6.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.